<?php
/**
 * The template for displaying posts in the Gallery post format
 *
 * @package WordPress
 * @subpackage Jane
 * @since Jane 1.0
 */
?>
<div class="content-container">

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
			<span class="post-date">
				<?php printf(
					 __( '%1$s', 'jane' ),
					esc_html( get_the_date() )
				);	
				?>
			</span>
			<div class="image-and-cats">
				<div class="category-list">
					<?php echo get_the_category_list(); ?>
				</div>
				<?php if ( ! post_password_required() && ! is_attachment() ) :
							the_post_thumbnail();
				endif; ?>
				<div class="tags">
					<?php echo get_the_tag_list('', ', ');?>
				</div>
			</div>
			
			<div class="post-format">
				<a class="entry-format" href="<?php echo esc_url( get_post_format_link( 'gallery' ) ); ?>"><?php echo get_post_format_string( 'gallery' ); ?></a>
			</div>

			<?php 
			if ( is_single() ) : 
			
				the_title( '<h1 class="entry-title">', '</h1>' );		
				
			else : 
			
				the_title( '<h1 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' );

			endif; ?>
			
		</header><!-- .entry-header -->

		<?php if ( is_search() ) : ?>
		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
		<?php else : ?>
		<div class="entry-content">
			<?php the_content( __('<div class="meta-nav">Read more... &rarr;</div>', 'jane') ); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'jane'), 'after' => '</div>' ) ); ?>
		</div><!-- .entry-content -->
		<?php endif; ?>
		<div class="clear-right"></div>
		<footer class="entry-meta">
			<?php edit_post_link( __( 'Edit', 'jane' ), '<span class="edit-link">', '</span>' ); ?>
		</footer><!-- .entry-meta -->
	</article><!-- #post -->
</div><!-- .content-container -->